summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-libs/gsl/gsl-2.7.1-r1.ebuild')
-rw-r--r--sci-libs/gsl/gsl-2.7.1-r1.ebuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/sci-libs/gsl/gsl-2.7.1-r1.ebuild b/sci-libs/gsl/gsl-2.7.1-r1.ebuild
new file mode 100644
index 00000000000..f12a875ff1a
--- /dev/null
+++ b/sci-libs/gsl/gsl-2.7.1-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+DESCRIPTION="The GNU Scientific Library"
+HOMEPAGE="https://www.gnu.org/software/gsl/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-2.7-cblas.patch.bz2"
+
+LICENSE="GPL-3"
+# Usually 0/${PV} but check
+SLOT="0/27"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="cblas-external +deprecated static-libs"
+
+RDEPEND="cblas-external? ( virtual/cblas:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${WORKDIR}"/${PN}-2.7-cblas.patch
+)
+
+src_prepare() {
+ # bug #349005
+ [[ $(tc-getCC)$ == *gcc* ]] && \
+ [[ $(tc-getCC)$ != *apple* ]] && \
+ [[ $(gcc-major-version)$(gcc-minor-version) -eq 44 ]] \
+ && filter-mfpmath sse
+ filter-flags -ffast-math
+
+ default
+
+ if use deprecated; then
+ sed -i -e "/GSL_DISABLE_DEPRECATED/,+2d" configure.ac || die
+ fi
+ eautoreconf
+}
+
+src_configure() {
+ if use cblas-external; then
+ export CBLAS_LIBS="$($(tc-getPKG_CONFIG) --libs cblas)"
+ export CBLAS_CFLAGS="$($(tc-getPKG_CONFIG) --cflags cblas)"
+ fi
+
+ econf \
+ --enable-shared \
+ $(use_with cblas-external) \
+ $(use_enable static-libs static)
+}
+
+src_test() {
+ local MAKEOPTS="${MAKEOPTS} -j1"
+ default
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}